%define name openjade
%define version 1.3.1
%define release 14mdk
%define sgmlbase %{_prefix}/share/sgml
%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d

Summary: Jade and SP -- parser and tools for SGML + DSSSL
Name: %{name}
Version: %{version}
Release: %{release}
Url: http://openjade.sourceforge.net/
Source: http://download.sourceforge.net/openjade/openjade-%{version}.tar.bz2
Patch0: openjade-1.3.1-lt.patch.bz2

License: BSD
Group: Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Obsoletes: jade
Provides: jade
Obsoletes: sgml-tools
Provides: sgml-tools %{sgmlbase}/%{name}
PreReq: sgml-common >= 0.6.3-2mdk, %libname = %version-%release

%description
 Jade (James' DSSSL Engine) is an implementation of the DSSSL style
language -- Document Style Semantics and Specification Language -- 
an ISO standard for formatting SGML (and XML) documents.

%package -n %libname
Group:          Publishing
Summary:        Shared library files for openjade

%description -n %libname
Shared library files for openjade.

%package -n %libnamedev
Group:          Development/C
Summary:        Development files for openjade
PreReq:       %name = %version-%release, %libname = %version-%release
Provides:       lib%{name}-devel

%description -n %libnamedev
Files for development from the openjade package.


%prep

%setup -q
%patch -p1

%build
cp config/configure.in .
%configure2_5x --enable-static --enable-http \
 --enable-default-catalog=/etc/sgml/catalog  \
 --enable-default-search-path=/usr/share/sgml \
 --datadir=%{sgmlbase}/%{name}-%{version}

%make

%install
# NOTE: in installing I am also copying a bunch of .h files into
# $(prefix)/include/sp/{generic,include,lib}.  This is so that the
# library API can be used.  It's an ugly kludge, and the best way
# would be for James Clark to tell us what the appropriate list of
# files to be included is.

[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_includedir}/sp/generic,%{_includedir}/sp/include,%{_includedir}/sp/lib}
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/{pubtext,unicode}

%makeinstall install-man datadir=$RPM_BUILD_ROOT/%{sgmlbase}

# Why do this file gets installed here ???
rm -f $RPM_BUILD_ROOT%{sgmlbase}/builtins.dsl

# oMy, othis ois osilly.
ln -s openjade $RPM_BUILD_ROOT/%{prefix}/bin/jade
for file in nsgmls sgmlnorm spam spent sx ; do
  ln -s o$file $RPM_BUILD_ROOT/%{prefix}/bin/$file
done

mv $RPM_BUILD_ROOT%{prefix}/bin/sx $RPM_BUILD_ROOT%{prefix}/bin/sgml2xml
install generic/*.h $RPM_BUILD_ROOT%{prefix}/include/sp/generic/
install include/*.h $RPM_BUILD_ROOT%{prefix}/include/sp/include/
install lib/*.h $RPM_BUILD_ROOT%{prefix}/include/sp/lib/
cp dsssl/builtins.dsl dsssl/catalog $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/
install pubtext/* $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/pubtext
install unicode/* $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/unicode
cp dsssl/dsssl.dtd dsssl/style-sheet.dtd dsssl/fot.dtd $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/

cd $RPM_BUILD_ROOT%{sgmlbase}
ln -s %{name}-%{version} %{name}

%post

# remove openjade-1.3 catalog if referenced
bads=`find /etc/sgml -type f -exec grep -l %{name}-1.3 {} \;`
for f in $bads; do 
	%{prefix}/bin/xmlcatalog --sgml --noout --del $f %{sgmlbase}/%{name}-1.3/catalog;
done
if [ -e /etc/sgml/catalog ] && [ "$(grep 'sgml-docbook-*.cat' /etc/sgml/catalog)" != "" ]; then \
%{prefix}/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog '/etc/sgml/sgml-docbook-*.cat'; fi

# Add new catalogs
touch /etc/sgml/dsssl-%{version}.cat
for i in /etc/sgml/dsssl-%{version}.cat /etc/sgml/{x,sg}ml-docbook-*.cat; do
  [ -e $i ] && %{prefix}/bin/xmlcatalog --sgml --noout --add \
  	$i %{sgmlbase}/%{name}/catalog
done
ln -s -f /etc/sgml/dsssl-%{version}.cat /etc/sgml/dsssl.cat

%pre
# first install
if [ $1 = 1 ]; then
	cd %{sgmlbase}
	ln -sf %{name}-%{version} %{name}
fi

%triggerpostun -- openjade
# we are in the obligation to use a triggerpostun because we have
# to be sure that the files from the old package are removed else
# rpm will remove all the files in /usr/share/sgml.
# Fred [Wed May 15 11:15:42 2002]
if [ ! -L %{sgmlbase}/%{name} ]; then
	cd %{sgmlbase}
	rm -rf %{name}
	ln -sf %{name}-%{version} %{name}
fi


%postun
# Do not remove if upgrade
if [ "$1" = "0" ]; then 
    for i in /etc/sgml/dsssl-%{version}.cat /etc/sgml/sgml-docbook-*.cat; do
        [ -e $i ] && %{prefix}/bin/xmlcatalog --sgml --noout --del \
		$i %{sgmlbase}/%{name}/catalog
    done
    rm -f /etc/sgml/dsssl.cat %{sgmlbase}/%{name}
# Is it last docbook catalog?
    if [ ! -e /etc/sgml/dsssl-%{version}.cat ]; then 
	rm -f /etc/sgml/sgml-docbook.cat
	OTHERCAT=`ls /etc/sgml/dsssl-?.?.cat 2> /dev/null | head --lines 1`
	if [ -n "$OTHERCAT" ]; then ln -sf $OTHERCAT /etc/sgml/dsssl.cat; fi
    fi
fi


%post   -p /sbin/ldconfig -n %libname
%postun -p /sbin/ldconfig -n %libname

%clean 
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc doc/ jadedoc/ dsssl/ pubtext/ unicode/ README VERSION
%attr(- root root) %{_bindir}/*
%{sgmlbase}/%{name}-%{version}
%{_mandir}/*/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_includedir}/sp
%{_libdir}/lib*.so
%{_libdir}/lib*a

%changelog
* Fri Jan 17 2003  <camille@ke.mandrakesoft.com> 1.3.1-14mdk
- add catalog to docbook xml too 

* Fri Jan 17 2003  <camille@ke.mandrakesoft.com> 1.3.1-13mdk
- rebuild

* Tue Nov 19 2002  <camille@ke.mandrakesoft.com> 1.3.1-12mdk
- Fix /etc/sgml/dsssl-1.3.1.cat not there and ln openjade bug 

* Sat Aug 17 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.1-11mdk
- clean up, kill lots of rpmlint-caught warnings:
- remove alpha-specific cflags
- remove mention of non-existent patch1
- remove addition of -j to %%make macro
- remove COPYING file from %%doc, redundant to package common-licenses
- libify: move libs and includes into new pkgs libopenjade0 and
  libopenjade0-devel
- use %%configure2_5x
- remove call to libtoolize, redundant now with %%configure2_5x

* Thu Aug 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-10mdk
- rebuild for new g++-3.2 ABI
- fix invalid-license

* Wed Aug 14 2002  <camille@ke.mandrakesoft.com> 1.3.1-9mdk
- Fix catalog when no docbook installed

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.1-8mdk
- Automated rebuild with gcc3.2

* Sun Jul  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.1-7mdk
- rpmlint fixes: hardcoded-library-path, strange-permission

* Wed May 15 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-6mdk
- corrected upgrade

* Mon Apr 22 2002  <camille@mandrakesoft.com> 1.3.1-4mdk
- get lt patch from RH
- some spec update

* Mon Jan 28 2002  <camille@mandrakesoft.com> 1.3.1-3mdk
- Fix paths in post scripts
- owns /usr/share/sgml/openjade/

* Mon Jan 28 2002  <camille@mandrakesoft.com> 1.3.1-2mdk
- install in /usr/share/sgml/openjade/ not /usr/share/sgml/openjade-1.3/

* Mon Jan 28 2002  <camille@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Thu Oct 25 2001  <camille@mandrakesoft.com> 1.3-16mdk
- Following Gwenole suggestions, remove patches 3 & 6 
  to allow compilation on IA-64

* Fri Aug 24 2001  <camille@mandrakesoft.com> 1.3-15mdk
- add 2 patches for correct pages numbering with docbook
  from Ian Castle and Francis J. Lacoste

* Mon Jul 16 2001  <camille@mandrakesoft.com> 1.3-14mdk
- fix address in changelog....

* Mon Jul 16 2001  <camille@mandrakesoft.com> 1.3-13mdk
- oops, add catalog in right file...
- apply again needed openjade-builtins.patch (why did it disappear?)

* Mon Jul 16 2001  <camille@mandrakesoft.com> 1.3-12mdk
- Add catalog in sgml-docbook.cat

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-11mdk
- s|Requires|Prereq|;sgml-common (fcrozat).
- Fix compilations.

* Mon Nov 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-10mdk
- Don't compile with optimisations.

* Wed Nov 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-9mdk
- RH patch merge.
- Compile with gcc2.96.

* Sun Sep 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.3-8mdk
- Rebuilt as jade is not finding the new version of docbook-style-dsssl it is
  still looking for the old one.

* Mon Aug 28 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-7mdk
- relocate builtins.dsl

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-6mdk
- Requires: sgml-common >= 0.2

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-5mdk
- Pre-LSB compliance

* Mon Jul 03 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-4mdk
- Add %post -p ldconfig and %postun -p ldconfig

* Fri Jun 30 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-3mdk
- recompile with newer libstdc++

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-2mdk
- User makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-1mdk
- Set -fexecpltions to CFLAGS when compiling on ia32.
- Rename package to openjade (add Provides: Obsoletes: jade).
- compile with egcs.
- Clean up specs.

* Tue Mar 21 2000 Camille Begnis <camille@mandrakesoft.com> 1.2.1-9mdk
- major spec update 
- remove sources from rpm
- fixed doc

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed docs

* Tue Dec 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix build with gcc2.95.

* Sun Nov 07 1999 John Buswell <johnb@mandrakesoft.com>
- Added Url and updated source url
- Build Release

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 source


* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First version with the help of author.
